using BPA.SAAS.Manage.Application.Org.Dtos.Role;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Org.Interface
{
    public interface IRoleService
    {
        Task<PageUtil> Page(RoleDtoPageInput input);
        Task<bool> Add(RoleDtoInput input);
        Task<bool> Update(RoleDtoInput input);
        Task<bool> Delete(List<string> input);
        Task<List<QueryRoleMenuListDto>> GetMenuRole(string RoleId);
        Task<bool> AddOrUpdateMenuRole(RoleMenuDtoInput input);
        Task<bool> Disable(string Id);
        Task<bool> Enable(string Id);
        Task<Dictionary<string, object>> GetRole();
    }
}
